import request from 'src/utils/request'

// 查询productionPlan列表
export function listProductionPlan(query) {
  return request({
    url: '/qrcode/device/productionPlan/list',
    method: 'get',
    params: query
  })
}

// 查询productionPlan详细
export function getProductionPlan(id) {
  return request({
    url: '/qrcode/device/productionPlan/' + id,
    method: 'get'
  })
}

// 新增productionPlan
export function addProductionPlan(data) {
  return request({
    url: '/qrcode/device/productionPlan',
    method: 'post',
    data: data
  })
}

// 修改productionPlan
export function updateProductionPlan(data) {
  return request({
    url: '/qrcode/device/productionPlan',
    method: 'put',
    data: data
  })
}

// 删除productionPlan
export function delProductionPlan(id) {
  return request({
    url: '/qrcode/device/productionPlan/' + id,
    method: 'delete'
  })
}
